import{S as qs,i as As,s as Ns,e as r,k as m,w as b,t as i,M as Ls,c as a,d as o,m as p,a as s,x as P,h as l,b as d,N as Os,G as e,g,y,q as D,o as w,B as $,v as Rs,L as Oo}from"../../chunks/vendor-hf-doc-builder.js";import{T as Oa}from"../../chunks/Tip-hf-doc-builder.js";import{D as j}from"../../chunks/Docstring-hf-doc-builder.js";import{C as Ro}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as xe}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as Lo}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";function Vs(x){let c,v,_,f,T;return f=new Ro({props:{code:`from transformers import DPTModel, DPTConfig

# Initializing a DPT dpt-large style configuration
configuration = DPTConfig()

# Initializing a model from the dpt-large style configuration
model = DPTModel(configuration)

# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> DPTModel, DPTConfig

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a DPT dpt-large style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = DPTConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a model from the dpt-large style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = DPTModel(configuration)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){c=r("p"),v=i("Example:"),_=m(),b(f.$$.fragment)},l(n){c=a(n,"P",{});var u=s(c);v=l(u,"Example:"),u.forEach(o),_=p(n),P(f.$$.fragment,n)},m(n,u){g(n,c,u),e(c,v),g(n,_,u),y(f,n,u),T=!0},p:Oo,i(n){T||(D(f.$$.fragment,n),T=!0)},o(n){w(f.$$.fragment,n),T=!1},d(n){n&&o(c),n&&o(_),$(f,n)}}}function Ws(x){let c,v,_,f,T;return{c(){c=r("p"),v=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=r("code"),f=i("Module"),T=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){c=a(n,"P",{});var u=s(c);v=l(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=a(u,"CODE",{});var E=s(_);f=l(E,"Module"),E.forEach(o),T=l(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(o)},m(n,u){g(n,c,u),e(c,v),e(c,_),e(_,f),e(c,T)},d(n){n&&o(c)}}}function Us(x){let c,v,_,f,T;return f=new Ro({props:{code:`from transformers import DPTFeatureExtractor, DPTModel
import torch
from datasets import load_dataset

dataset = load_dataset("huggingface/cats-image")
image = dataset["test"]["image"][0]

feature_extractor = DPTFeatureExtractor.from_pretrained("Intel/dpt-large")
model = DPTModel.from_pretrained("Intel/dpt-large")

inputs = feature_extractor(image, return_tensors="pt")

with torch.no_grad():
    outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state
list(last_hidden_states.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> DPTFeatureExtractor, DPTModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;huggingface/cats-image&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>image = dataset[<span class="hljs-string">&quot;test&quot;</span>][<span class="hljs-string">&quot;image&quot;</span>][<span class="hljs-number">0</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>feature_extractor = DPTFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;Intel/dpt-large&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = DPTModel.from_pretrained(<span class="hljs-string">&quot;Intel/dpt-large&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = feature_extractor(image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(last_hidden_states.shape)
[<span class="hljs-number">1</span>, <span class="hljs-number">577</span>, <span class="hljs-number">1024</span>]`}}),{c(){c=r("p"),v=i("Example:"),_=m(),b(f.$$.fragment)},l(n){c=a(n,"P",{});var u=s(c);v=l(u,"Example:"),u.forEach(o),_=p(n),P(f.$$.fragment,n)},m(n,u){g(n,c,u),e(c,v),g(n,_,u),y(f,n,u),T=!0},p:Oo,i(n){T||(D(f.$$.fragment,n),T=!0)},o(n){w(f.$$.fragment,n),T=!1},d(n){n&&o(c),n&&o(_),$(f,n)}}}function Bs(x){let c,v,_,f,T;return{c(){c=r("p"),v=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=r("code"),f=i("Module"),T=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){c=a(n,"P",{});var u=s(c);v=l(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=a(u,"CODE",{});var E=s(_);f=l(E,"Module"),E.forEach(o),T=l(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(o)},m(n,u){g(n,c,u),e(c,v),e(c,_),e(_,f),e(c,T)},d(n){n&&o(c)}}}function Hs(x){let c,v,_,f,T;return f=new Ro({props:{code:`from transformers import DPTFeatureExtractor, DPTForDepthEstimation
import torch
import numpy as np
from PIL import Image
import requests

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)

feature_extractor = DPTFeatureExtractor.from_pretrained("Intel/dpt-large")
model = DPTForDepthEstimation.from_pretrained("Intel/dpt-large")

# prepare image for the model
inputs = feature_extractor(images=image, return_tensors="pt")

with torch.no_grad():
    outputs = model(**inputs)
    predicted_depth = outputs.predicted_depth

# interpolate to original size
prediction = torch.nn.functional.interpolate(
    predicted_depth.unsqueeze(1),
    size=image.size[::-1],
    mode="bicubic",
    align_corners=False,
)

# visualize the prediction
output = prediction.squeeze().cpu().numpy()
formatted = (output * 255 / np.max(output)).astype("uint8")
depth = Image.fromarray(formatted)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> DPTFeatureExtractor, DPTForDepthEstimation
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> numpy <span class="hljs-keyword">as</span> np
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span>feature_extractor = DPTFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;Intel/dpt-large&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = DPTForDepthEstimation.from_pretrained(<span class="hljs-string">&quot;Intel/dpt-large&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># prepare image for the model</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = feature_extractor(images=image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    outputs = model(**inputs)
<span class="hljs-meta">... </span>    predicted_depth = outputs.predicted_depth

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># interpolate to original size</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>prediction = torch.nn.functional.interpolate(
<span class="hljs-meta">... </span>    predicted_depth.unsqueeze(<span class="hljs-number">1</span>),
<span class="hljs-meta">... </span>    size=image.size[::-<span class="hljs-number">1</span>],
<span class="hljs-meta">... </span>    mode=<span class="hljs-string">&quot;bicubic&quot;</span>,
<span class="hljs-meta">... </span>    align_corners=<span class="hljs-literal">False</span>,
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># visualize the prediction</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>output = prediction.squeeze().cpu().numpy()
<span class="hljs-meta">&gt;&gt;&gt; </span>formatted = (output * <span class="hljs-number">255</span> / np.<span class="hljs-built_in">max</span>(output)).astype(<span class="hljs-string">&quot;uint8&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>depth = Image.fromarray(formatted)`}}),{c(){c=r("p"),v=i("Examples:"),_=m(),b(f.$$.fragment)},l(n){c=a(n,"P",{});var u=s(c);v=l(u,"Examples:"),u.forEach(o),_=p(n),P(f.$$.fragment,n)},m(n,u){g(n,c,u),e(c,v),g(n,_,u),y(f,n,u),T=!0},p:Oo,i(n){T||(D(f.$$.fragment,n),T=!0)},o(n){w(f.$$.fragment,n),T=!1},d(n){n&&o(c),n&&o(_),$(f,n)}}}function Gs(x){let c,v,_,f,T;return{c(){c=r("p"),v=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=r("code"),f=i("Module"),T=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){c=a(n,"P",{});var u=s(c);v=l(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=a(u,"CODE",{});var E=s(_);f=l(E,"Module"),E.forEach(o),T=l(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(o)},m(n,u){g(n,c,u),e(c,v),e(c,_),e(_,f),e(c,T)},d(n){n&&o(c)}}}function Ks(x){let c,v,_,f,T;return f=new Ro({props:{code:`from transformers import DPTFeatureExtractor, DPTForSemanticSegmentation
from PIL import Image
import requests

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)

feature_extractor = DPTFeatureExtractor.from_pretrained("Intel/dpt-large-ade")
model = DPTForSemanticSegmentation.from_pretrained("Intel/dpt-large-ade")

inputs = feature_extractor(images=image, return_tensors="pt")

outputs = model(**inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> DPTFeatureExtractor, DPTForSemanticSegmentation
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span>feature_extractor = DPTFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;Intel/dpt-large-ade&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = DPTForSemanticSegmentation.from_pretrained(<span class="hljs-string">&quot;Intel/dpt-large-ade&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = feature_extractor(images=image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){c=r("p"),v=i("Examples:"),_=m(),b(f.$$.fragment)},l(n){c=a(n,"P",{});var u=s(c);v=l(u,"Examples:"),u.forEach(o),_=p(n),P(f.$$.fragment,n)},m(n,u){g(n,c,u),e(c,v),g(n,_,u),y(f,n,u),T=!0},p:Oo,i(n){T||(D(f.$$.fragment,n),T=!0)},o(n){w(f.$$.fragment,n),T=!1},d(n){n&&o(c),n&&o(_),$(f,n)}}}function Ys(x){let c,v,_,f,T,n,u,E,Vo,oo,O,Q,Et,Ee,Wo,zt,Uo,ro,N,Bo,ze,Ho,Go,lt,Ko,Yo,ao,dt,Jo,so,ct,kt,Xo,no,Z,Ra,io,ee,Qo,ke,Zo,er,lo,L,tr,Ie,or,rr,Fe,ar,sr,co,R,te,It,Se,nr,Ft,ir,mo,z,je,lr,V,dr,mt,cr,mr,Ce,pr,hr,fr,W,ur,pt,gr,_r,ht,Tr,vr,br,oe,po,U,re,St,Me,Pr,jt,yr,ho,k,qe,Dr,Ct,wr,$r,ae,Ae,xr,Mt,Er,zr,se,Ne,kr,Le,Ir,ft,Fr,Sr,fo,B,ne,qt,Oe,jr,At,Cr,uo,I,Re,Mr,Nt,qr,Ar,ie,Ve,Nr,Lt,Lr,Or,le,We,Rr,Ue,Vr,ut,Wr,Ur,go,H,de,Ot,Be,Br,Rt,Hr,_o,A,He,Gr,Ge,Kr,Ke,Yr,Jr,Xr,C,Ye,Qr,G,Zr,gt,ea,ta,Vt,oa,ra,aa,ce,sa,me,To,K,pe,Wt,Je,na,Ut,ia,vo,F,Xe,la,Bt,da,ca,Qe,ma,Ze,pa,ha,fa,M,et,ua,Y,ga,_t,_a,Ta,Ht,va,ba,Pa,he,ya,fe,bo,J,ue,Gt,tt,Da,Kt,wa,Po,S,ot,$a,Yt,xa,Ea,rt,za,at,ka,Ia,Fa,q,st,Sa,X,ja,Tt,Ca,Ma,Jt,qa,Aa,Na,ge,La,_e,yo;return n=new xe({}),Ee=new xe({}),Se=new xe({}),je=new j({props:{name:"class transformers.DPTConfig",anchor:"transformers.DPTConfig",parameters:[{name:"hidden_size",val:" = 768"},{name:"num_hidden_layers",val:" = 12"},{name:"num_attention_heads",val:" = 12"},{name:"intermediate_size",val:" = 3072"},{name:"hidden_act",val:" = 'gelu'"},{name:"hidden_dropout_prob",val:" = 0.0"},{name:"attention_probs_dropout_prob",val:" = 0.0"},{name:"initializer_range",val:" = 0.02"},{name:"layer_norm_eps",val:" = 1e-12"},{name:"image_size",val:" = 384"},{name:"patch_size",val:" = 16"},{name:"num_channels",val:" = 3"},{name:"qkv_bias",val:" = True"},{name:"backbone_out_indices",val:" = [2, 5, 8, 11]"},{name:"readout_type",val:" = 'project'"},{name:"reassemble_factors",val:" = [4, 2, 1, 0.5]"},{name:"neck_hidden_sizes",val:" = [96, 192, 384, 768]"},{name:"fusion_hidden_size",val:" = 256"},{name:"head_in_index",val:" = -1"},{name:"use_batch_norm_in_fusion_residual",val:" = False"},{name:"use_auxiliary_head",val:" = True"},{name:"auxiliary_loss_weight",val:" = 0.4"},{name:"semantic_loss_ignore_index",val:" = 255"},{name:"semantic_classifier_dropout",val:" = 0.1"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.DPTConfig.hidden_size",description:`<strong>hidden_size</strong> (<code>int</code>, <em>optional</em>, defaults to 768) &#x2014;
Dimensionality of the encoder layers and the pooler layer.`,name:"hidden_size"},{anchor:"transformers.DPTConfig.num_hidden_layers",description:`<strong>num_hidden_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of hidden layers in the Transformer encoder.`,name:"num_hidden_layers"},{anchor:"transformers.DPTConfig.num_attention_heads",description:`<strong>num_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of attention heads for each attention layer in the Transformer encoder.`,name:"num_attention_heads"},{anchor:"transformers.DPTConfig.intermediate_size",description:`<strong>intermediate_size</strong> (<code>int</code>, <em>optional</em>, defaults to 3072) &#x2014;
Dimensionality of the &#x201C;intermediate&#x201D; (i.e., feed-forward) layer in the Transformer encoder.`,name:"intermediate_size"},{anchor:"transformers.DPTConfig.hidden_act",description:`<strong>hidden_act</strong> (<code>str</code> or <code>function</code>, <em>optional</em>, defaults to <code>&quot;gelu&quot;</code>) &#x2014;
The non-linear activation function (function or string) in the encoder and pooler. If string, <code>&quot;gelu&quot;</code>,
<code>&quot;relu&quot;</code>, <code>&quot;selu&quot;</code> and <code>&quot;gelu_new&quot;</code> are supported.`,name:"hidden_act"},{anchor:"transformers.DPTConfig.hidden_dropout_prob",description:`<strong>hidden_dropout_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout probabilitiy for all fully connected layers in the embeddings, encoder, and pooler.`,name:"hidden_dropout_prob"},{anchor:"transformers.DPTConfig.attention_probs_dropout_prob",description:`<strong>attention_probs_dropout_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout ratio for the attention probabilities.`,name:"attention_probs_dropout_prob"},{anchor:"transformers.DPTConfig.initializer_range",description:`<strong>initializer_range</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
The standard deviation of the truncated_normal_initializer for initializing all weight matrices.`,name:"initializer_range"},{anchor:"transformers.DPTConfig.layer_norm_eps",description:`<strong>layer_norm_eps</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-12) &#x2014;
The epsilon used by the layer normalization layers.`,name:"layer_norm_eps"},{anchor:"transformers.DPTConfig.image_size",description:`<strong>image_size</strong> (<code>int</code>, <em>optional</em>, defaults to 384) &#x2014;
The size (resolution) of each image.`,name:"image_size"},{anchor:"transformers.DPTConfig.patch_size",description:`<strong>patch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 16) &#x2014;
The size (resolution) of each patch.`,name:"patch_size"},{anchor:"transformers.DPTConfig.num_channels",description:`<strong>num_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 3) &#x2014;
The number of input channels.`,name:"num_channels"},{anchor:"transformers.DPTConfig.qkv_bias",description:`<strong>qkv_bias</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to add a bias to the queries, keys and values.`,name:"qkv_bias"},{anchor:"transformers.DPTConfig.backbone_out_indices",description:`<strong>backbone_out_indices</strong> (<code>List[int]</code>, <em>optional</em>, defaults to <code>[2, 5, 8, 11]</code>) &#x2014;
Indices of the intermediate hidden states to use from backbone.`,name:"backbone_out_indices"},{anchor:"transformers.DPTConfig.readout_type",description:`<strong>readout_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;project&quot;</code>) &#x2014;
The readout type to use when processing the readout token (CLS token) of the intermediate hidden states of
the ViT backbone. Can be one of [<code>&quot;ignore&quot;</code>, <code>&quot;add&quot;</code>, <code>&quot;project&quot;</code>].</p>
<ul>
<li>&#x201C;ignore&#x201D; simply ignores the CLS token.</li>
<li>&#x201C;add&#x201D; passes the information from the CLS token to all other tokens by adding the representations.</li>
<li>&#x201C;project&#x201D; passes information to the other tokens by concatenating the readout to all other tokens before
projecting the
representation to the original feature dimension D using a linear layer followed by a GELU non-linearity.</li>
</ul>`,name:"readout_type"},{anchor:"transformers.DPTConfig.reassemble_factors",description:`<strong>reassemble_factors</strong> (<code>List[int]</code>, <em>optional</em>, defaults to <code>[4, 2, 1, 0.5]</code>) &#x2014;
The up/downsampling factors of the reassemble layers.`,name:"reassemble_factors"},{anchor:"transformers.DPTConfig.neck_hidden_sizes",description:`<strong>neck_hidden_sizes</strong> (<code>List[str]</code>, <em>optional</em>, defaults to [96, 192, 384, 768]) &#x2014;
The hidden sizes to project to for the feature maps of the backbone.`,name:"neck_hidden_sizes"},{anchor:"transformers.DPTConfig.fusion_hidden_size",description:`<strong>fusion_hidden_size</strong> (<code>int</code>, <em>optional</em>, defaults to 256) &#x2014;
The number of channels before fusion.`,name:"fusion_hidden_size"},{anchor:"transformers.DPTConfig.head_in_index",description:`<strong>head_in_index</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
The index of the features to use in the heads.`,name:"head_in_index"},{anchor:"transformers.DPTConfig.use_batch_norm_in_fusion_residual",description:`<strong>use_batch_norm_in_fusion_residual</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to use batch normalization in the pre-activate residual units of the fusion blocks.`,name:"use_batch_norm_in_fusion_residual"},{anchor:"transformers.DPTConfig.use_auxiliary_head",description:`<strong>use_auxiliary_head</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to use an auxiliary head during training.`,name:"use_auxiliary_head"},{anchor:"transformers.DPTConfig.auxiliary_loss_weight",description:`<strong>auxiliary_loss_weight</strong> (<code>float</code>, <em>optional</em>, defaults to 0.4) &#x2014;
Weight of the cross-entropy loss of the auxiliary head.`,name:"auxiliary_loss_weight"},{anchor:"transformers.DPTConfig.semantic_loss_ignore_index",description:`<strong>semantic_loss_ignore_index</strong> (<code>int</code>, <em>optional</em>, defaults to 255) &#x2014;
The index that is ignored by the loss function of the semantic segmentation model.`,name:"semantic_loss_ignore_index"},{anchor:"transformers.DPTConfig.semantic_classifier_dropout",description:`<strong>semantic_classifier_dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout ratio for the semantic classification head.`,name:"semantic_classifier_dropout"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/dpt/configuration_dpt.py#L29"}}),oe=new Lo({props:{anchor:"transformers.DPTConfig.example",$$slots:{default:[Vs]},$$scope:{ctx:x}}}),Me=new xe({}),qe=new j({props:{name:"class transformers.DPTImageProcessor",anchor:"transformers.DPTImageProcessor",parameters:[{name:"do_resize",val:": bool = True"},{name:"size",val:": typing.Dict[str, int] = None"},{name:"resample",val:": Resampling = <Resampling.BILINEAR: 2>"},{name:"keep_aspect_ratio",val:": bool = False"},{name:"ensure_multiple_of",val:": int = 1"},{name:"do_rescale",val:": bool = True"},{name:"rescale_factor",val:": typing.Union[int, float] = 0.00392156862745098"},{name:"do_normalize",val:": bool = True"},{name:"image_mean",val:": typing.Union[float, typing.List[float], NoneType] = None"},{name:"image_std",val:": typing.Union[float, typing.List[float], NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.DPTImageProcessor.do_resize",description:`<strong>do_resize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to resize the image&#x2019;s (height, width) dimensions. Can be overidden by <code>do_resize</code> in <code>preprocess</code>.`,name:"do_resize"},{anchor:"transformers.DPTImageProcessor.size",description:`<strong>size</strong> (<code>Dict[str, int]</code> <em>optional</em>, defaults to <code>{&quot;height&quot; -- 384, &quot;width&quot;: 384}</code>):
Size of the image after resizing. Can be overidden by <code>size</code> in <code>preprocess</code>.`,name:"size"},{anchor:"transformers.DPTImageProcessor.keep_aspect_ratio",description:`<strong>keep_aspect_ratio</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
If <code>True</code>, the image is resized to the largest possible size such that the aspect ratio is preserved. Can
be overidden by <code>keep_aspect_ratio</code> in <code>preprocess</code>.`,name:"keep_aspect_ratio"},{anchor:"transformers.DPTImageProcessor.ensure_multiple_of",description:`<strong>ensure_multiple_of</strong> (<code>int</code>, <em>optional</em>, defaults to <code>1</code>) &#x2014;
If <code>do_resize</code> is <code>True</code>, the image is resized to a size that is a multiple of this value. Can be overidden
by <code>ensure_multiple_of</code> in <code>preprocess</code>.`,name:"ensure_multiple_of"},{anchor:"transformers.DPTImageProcessor.resample",description:`<strong>resample</strong> (<code>PILImageResampling</code>, <em>optional</em>, defaults to <code>PILImageResampling.BILINEAR</code>) &#x2014;
Defines the resampling filter to use if resizing the image. Can be overidden by <code>resample</code> in <code>preprocess</code>.`,name:"resample"},{anchor:"transformers.DPTImageProcessor.do_rescale",description:`<strong>do_rescale</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to rescale the image by the specified scale <code>rescale_factor</code>. Can be overidden by <code>do_rescale</code> in
<code>preprocess</code>.`,name:"do_rescale"},{anchor:"transformers.DPTImageProcessor.rescale_factor",description:`<strong>rescale_factor</strong> (<code>int</code> or <code>float</code>, <em>optional</em>, defaults to <code>1/255</code>) &#x2014;
Scale factor to use if rescaling the image. Can be overidden by <code>rescale_factor</code> in <code>preprocess</code>.`,name:"rescale_factor"},{anchor:"transformers.DPTImageProcessor.do_normalize",description:`<strong>do_normalize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to normalize the image. Can be overridden by the <code>do_normalize</code> parameter in the <code>preprocess</code>
method.`,name:"do_normalize"},{anchor:"transformers.DPTImageProcessor.image_mean",description:`<strong>image_mean</strong> (<code>float</code> or <code>List[float]</code>, <em>optional</em>, defaults to <code>IMAGENET_STANDARD_MEAN</code>) &#x2014;
Mean to use if normalizing the image. This is a float or list of floats the length of the number of
channels in the image. Can be overridden by the <code>image_mean</code> parameter in the <code>preprocess</code> method.`,name:"image_mean"},{anchor:"transformers.DPTImageProcessor.image_std",description:`<strong>image_std</strong> (<code>float</code> or <code>List[float]</code>, <em>optional</em>, defaults to <code>IMAGENET_STANDARD_STD</code>) &#x2014;
Standard deviation to use if normalizing the image. This is a float or list of floats the length of the
number of channels in the image. Can be overridden by the <code>image_std</code> parameter in the <code>preprocess</code> method.`,name:"image_std"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/dpt/image_processing_dpt.py#L91"}}),Ae=new j({props:{name:"__call__",anchor:"transformers.DPTImageProcessor.__call__",parameters:[{name:"images",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/image_processing_utils.py#L435"}}),Ne=new j({props:{name:"post_process_semantic_segmentation",anchor:"transformers.DPTImageProcessor.post_process_semantic_segmentation",parameters:[{name:"outputs",val:""},{name:"target_sizes",val:": typing.List[typing.Tuple] = None"}],parametersDescription:[{anchor:"transformers.DPTImageProcessor.post_process_semantic_segmentation.outputs",description:`<strong>outputs</strong> (<a href="/docs/transformers/main/en/model_doc/dpt#transformers.DPTForSemanticSegmentation">DPTForSemanticSegmentation</a>) &#x2014;
Raw outputs of the model.`,name:"outputs"},{anchor:"transformers.DPTImageProcessor.post_process_semantic_segmentation.target_sizes",description:`<strong>target_sizes</strong> (<code>List[Tuple]</code> of length <code>batch_size</code>, <em>optional</em>) &#x2014;
List of tuples corresponding to the requested final size (height, width) of each prediction. If unset,
predictions will not be resized.`,name:"target_sizes"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/dpt/image_processing_dpt.py#L346",returnDescription:`
<p><code>List[torch.Tensor]</code> of length <code>batch_size</code>, where each item is a semantic
segmentation map of shape (height, width) corresponding to the target_sizes entry (if <code>target_sizes</code> is
specified). Each entry of each <code>torch.Tensor</code> correspond to a semantic class id.</p>
`,returnType:`
<p>semantic_segmentation</p>
`}}),Oe=new xe({}),Re=new j({props:{name:"class transformers.DPTImageProcessor",anchor:"transformers.DPTImageProcessor",parameters:[{name:"do_resize",val:": bool = True"},{name:"size",val:": typing.Dict[str, int] = None"},{name:"resample",val:": Resampling = <Resampling.BILINEAR: 2>"},{name:"keep_aspect_ratio",val:": bool = False"},{name:"ensure_multiple_of",val:": int = 1"},{name:"do_rescale",val:": bool = True"},{name:"rescale_factor",val:": typing.Union[int, float] = 0.00392156862745098"},{name:"do_normalize",val:": bool = True"},{name:"image_mean",val:": typing.Union[float, typing.List[float], NoneType] = None"},{name:"image_std",val:": typing.Union[float, typing.List[float], NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.DPTImageProcessor.do_resize",description:`<strong>do_resize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to resize the image&#x2019;s (height, width) dimensions. Can be overidden by <code>do_resize</code> in <code>preprocess</code>.`,name:"do_resize"},{anchor:"transformers.DPTImageProcessor.size",description:`<strong>size</strong> (<code>Dict[str, int]</code> <em>optional</em>, defaults to <code>{&quot;height&quot; -- 384, &quot;width&quot;: 384}</code>):
Size of the image after resizing. Can be overidden by <code>size</code> in <code>preprocess</code>.`,name:"size"},{anchor:"transformers.DPTImageProcessor.keep_aspect_ratio",description:`<strong>keep_aspect_ratio</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
If <code>True</code>, the image is resized to the largest possible size such that the aspect ratio is preserved. Can
be overidden by <code>keep_aspect_ratio</code> in <code>preprocess</code>.`,name:"keep_aspect_ratio"},{anchor:"transformers.DPTImageProcessor.ensure_multiple_of",description:`<strong>ensure_multiple_of</strong> (<code>int</code>, <em>optional</em>, defaults to <code>1</code>) &#x2014;
If <code>do_resize</code> is <code>True</code>, the image is resized to a size that is a multiple of this value. Can be overidden
by <code>ensure_multiple_of</code> in <code>preprocess</code>.`,name:"ensure_multiple_of"},{anchor:"transformers.DPTImageProcessor.resample",description:`<strong>resample</strong> (<code>PILImageResampling</code>, <em>optional</em>, defaults to <code>PILImageResampling.BILINEAR</code>) &#x2014;
Defines the resampling filter to use if resizing the image. Can be overidden by <code>resample</code> in <code>preprocess</code>.`,name:"resample"},{anchor:"transformers.DPTImageProcessor.do_rescale",description:`<strong>do_rescale</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to rescale the image by the specified scale <code>rescale_factor</code>. Can be overidden by <code>do_rescale</code> in
<code>preprocess</code>.`,name:"do_rescale"},{anchor:"transformers.DPTImageProcessor.rescale_factor",description:`<strong>rescale_factor</strong> (<code>int</code> or <code>float</code>, <em>optional</em>, defaults to <code>1/255</code>) &#x2014;
Scale factor to use if rescaling the image. Can be overidden by <code>rescale_factor</code> in <code>preprocess</code>.`,name:"rescale_factor"},{anchor:"transformers.DPTImageProcessor.do_normalize",description:`<strong>do_normalize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to normalize the image. Can be overridden by the <code>do_normalize</code> parameter in the <code>preprocess</code>
method.`,name:"do_normalize"},{anchor:"transformers.DPTImageProcessor.image_mean",description:`<strong>image_mean</strong> (<code>float</code> or <code>List[float]</code>, <em>optional</em>, defaults to <code>IMAGENET_STANDARD_MEAN</code>) &#x2014;
Mean to use if normalizing the image. This is a float or list of floats the length of the number of
channels in the image. Can be overridden by the <code>image_mean</code> parameter in the <code>preprocess</code> method.`,name:"image_mean"},{anchor:"transformers.DPTImageProcessor.image_std",description:`<strong>image_std</strong> (<code>float</code> or <code>List[float]</code>, <em>optional</em>, defaults to <code>IMAGENET_STANDARD_STD</code>) &#x2014;
Standard deviation to use if normalizing the image. This is a float or list of floats the length of the
number of channels in the image. Can be overridden by the <code>image_std</code> parameter in the <code>preprocess</code> method.`,name:"image_std"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/dpt/image_processing_dpt.py#L91"}}),Ve=new j({props:{name:"preprocess",anchor:"transformers.DPTImageProcessor.preprocess",parameters:[{name:"images",val:": typing.Union[ForwardRef('PIL.Image.Image'), numpy.ndarray, ForwardRef('torch.Tensor'), typing.List[ForwardRef('PIL.Image.Image')], typing.List[numpy.ndarray], typing.List[ForwardRef('torch.Tensor')]]"},{name:"do_resize",val:": bool = None"},{name:"size",val:": int = None"},{name:"keep_aspect_ratio",val:": bool = None"},{name:"ensure_multiple_of",val:": int = None"},{name:"resample",val:": Resampling = None"},{name:"do_rescale",val:": bool = None"},{name:"rescale_factor",val:": float = None"},{name:"do_normalize",val:": bool = None"},{name:"image_mean",val:": typing.Union[float, typing.List[float], NoneType] = None"},{name:"image_std",val:": typing.Union[float, typing.List[float], NoneType] = None"},{name:"return_tensors",val:": typing.Union[str, transformers.utils.generic.TensorType, NoneType] = None"},{name:"data_format",val:": ChannelDimension = <ChannelDimension.FIRST: 'channels_first'>"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.DPTImageProcessor.preprocess.images",description:`<strong>images</strong> (<code>ImageInput</code>) &#x2014;
Image to preprocess.`,name:"images"},{anchor:"transformers.DPTImageProcessor.preprocess.do_resize",description:`<strong>do_resize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>self.do_resize</code>) &#x2014;
Whether to resize the image.`,name:"do_resize"},{anchor:"transformers.DPTImageProcessor.preprocess.size",description:`<strong>size</strong> (<code>Dict[str, int]</code>, <em>optional</em>, defaults to <code>self.size</code>) &#x2014;
Size of the image after reszing. If <code>keep_aspect_ratio</code> is <code>True</code>, the image is resized to the largest
possible size such that the aspect ratio is preserved. If <code>ensure_multiple_of</code> is set, the image is
resized to a size that is a multiple of this value.`,name:"size"},{anchor:"transformers.DPTImageProcessor.preprocess.keep_aspect_ratio",description:`<strong>keep_aspect_ratio</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>self.keep_aspect_ratio</code>) &#x2014;
Whether to keep the aspect ratio of the image. If False, the image will be resized to (size, size). If
True, the image will be resized to keep the aspect ratio and the size will be the maximum possible.`,name:"keep_aspect_ratio"},{anchor:"transformers.DPTImageProcessor.preprocess.ensure_multiple_of",description:`<strong>ensure_multiple_of</strong> (<code>int</code>, <em>optional</em>, defaults to <code>self.ensure_multiple_of</code>) &#x2014;
Ensure that the image size is a multiple of this value.`,name:"ensure_multiple_of"},{anchor:"transformers.DPTImageProcessor.preprocess.resample",description:`<strong>resample</strong> (<code>int</code>, <em>optional</em>, defaults to <code>self.resample</code>) &#x2014;
Resampling filter to use if resizing the image. This can be one of the enum <code>PILImageResampling</code>, Only
has an effect if <code>do_resize</code> is set to <code>True</code>.`,name:"resample"},{anchor:"transformers.DPTImageProcessor.preprocess.do_rescale",description:`<strong>do_rescale</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>self.do_rescale</code>) &#x2014;
Whether to rescale the image values between [0 - 1].`,name:"do_rescale"},{anchor:"transformers.DPTImageProcessor.preprocess.rescale_factor",description:`<strong>rescale_factor</strong> (<code>float</code>, <em>optional</em>, defaults to <code>self.rescale_factor</code>) &#x2014;
Rescale factor to rescale the image by if <code>do_rescale</code> is set to <code>True</code>.`,name:"rescale_factor"},{anchor:"transformers.DPTImageProcessor.preprocess.do_normalize",description:`<strong>do_normalize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>self.do_normalize</code>) &#x2014;
Whether to normalize the image.`,name:"do_normalize"},{anchor:"transformers.DPTImageProcessor.preprocess.image_mean",description:`<strong>image_mean</strong> (<code>float</code> or <code>List[float]</code>, <em>optional</em>, defaults to <code>self.image_mean</code>) &#x2014;
Image mean.`,name:"image_mean"},{anchor:"transformers.DPTImageProcessor.preprocess.image_std",description:`<strong>image_std</strong> (<code>float</code> or <code>List[float]</code>, <em>optional</em>, defaults to <code>self.image_std</code>) &#x2014;
Image standard deviation.`,name:"image_std"},{anchor:"transformers.DPTImageProcessor.preprocess.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code> or <code>TensorType</code>, <em>optional</em>) &#x2014;
The type of tensors to return. Can be one of:<ul>
<li>Unset: Return a list of <code>np.ndarray</code>.</li>
<li><code>TensorType.TENSORFLOW</code> or <code>&apos;tf&apos;</code>: Return a batch of type <code>tf.Tensor</code>.</li>
<li><code>TensorType.PYTORCH</code> or <code>&apos;pt&apos;</code>: Return a batch of type <code>torch.Tensor</code>.</li>
<li><code>TensorType.NUMPY</code> or <code>&apos;np&apos;</code>: Return a batch of type <code>np.ndarray</code>.</li>
<li><code>TensorType.JAX</code> or <code>&apos;jax&apos;</code>: Return a batch of type <code>jax.numpy.ndarray</code>.</li>
</ul>`,name:"return_tensors"},{anchor:"transformers.DPTImageProcessor.preprocess.data_format",description:`<strong>data_format</strong> (<code>ChannelDimension</code> or <code>str</code>, <em>optional</em>, defaults to <code>ChannelDimension.FIRST</code>) &#x2014;
The channel dimension format for the output image. Can be one of:<ul>
<li><code>ChannelDimension.FIRST</code>: image in (num_channels, height, width) format.</li>
<li><code>ChannelDimension.LAST</code>: image in (height, width, num_channels) format.</li>
</ul>`,name:"data_format"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/dpt/image_processing_dpt.py#L240"}}),We=new j({props:{name:"post_process_semantic_segmentation",anchor:"transformers.DPTImageProcessor.post_process_semantic_segmentation",parameters:[{name:"outputs",val:""},{name:"target_sizes",val:": typing.List[typing.Tuple] = None"}],parametersDescription:[{anchor:"transformers.DPTImageProcessor.post_process_semantic_segmentation.outputs",description:`<strong>outputs</strong> (<a href="/docs/transformers/main/en/model_doc/dpt#transformers.DPTForSemanticSegmentation">DPTForSemanticSegmentation</a>) &#x2014;
Raw outputs of the model.`,name:"outputs"},{anchor:"transformers.DPTImageProcessor.post_process_semantic_segmentation.target_sizes",description:`<strong>target_sizes</strong> (<code>List[Tuple]</code> of length <code>batch_size</code>, <em>optional</em>) &#x2014;
List of tuples corresponding to the requested final size (height, width) of each prediction. If unset,
predictions will not be resized.`,name:"target_sizes"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/dpt/image_processing_dpt.py#L346",returnDescription:`
<p><code>List[torch.Tensor]</code> of length <code>batch_size</code>, where each item is a semantic
segmentation map of shape (height, width) corresponding to the target_sizes entry (if <code>target_sizes</code> is
specified). Each entry of each <code>torch.Tensor</code> correspond to a semantic class id.</p>
`,returnType:`
<p>semantic_segmentation</p>
`}}),Be=new xe({}),He=new j({props:{name:"class transformers.DPTModel",anchor:"transformers.DPTModel",parameters:[{name:"config",val:""},{name:"add_pooling_layer",val:" = True"}],parametersDescription:[{anchor:"transformers.DPTModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/vit#transformers.ViTConfig">ViTConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/dpt/modeling_dpt.py#L678"}}),Ye=new j({props:{name:"forward",anchor:"transformers.DPTModel.forward",parameters:[{name:"pixel_values",val:": FloatTensor"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.DPTModel.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/main/en/model_doc/vit#transformers.ViTImageProcessor">ViTFeatureExtractor</a>. See
<a href="/docs/transformers/main/en/model_doc/videomae#transformers.VideoMAEImageProcessor.__call__">ViTFeatureExtractor.<strong>call</strong>()</a> for details.`,name:"pixel_values"},{anchor:"transformers.DPTModel.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.DPTModel.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.DPTModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.DPTModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/dpt/modeling_dpt.py#L704",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.BaseModelOutputWithPooling"
>transformers.modeling_outputs.BaseModelOutputWithPooling</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/dpt#transformers.DPTConfig"
>DPTConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>pooler_output</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, hidden_size)</code>) \u2014 Last layer hidden-state of the first token of the sequence (classification token) after further processing
through the layers used for the auxiliary pretraining task. E.g. for BERT-family of models, this returns
the classification token after processing through a linear layer and a tanh activation function. The linear
layer weights are trained from the next sentence prediction (classification) objective during pretraining.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.BaseModelOutputWithPooling"
>transformers.modeling_outputs.BaseModelOutputWithPooling</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),ce=new Oa({props:{$$slots:{default:[Ws]},$$scope:{ctx:x}}}),me=new Lo({props:{anchor:"transformers.DPTModel.forward.example",$$slots:{default:[Us]},$$scope:{ctx:x}}}),Je=new xe({}),Xe=new j({props:{name:"class transformers.DPTForDepthEstimation",anchor:"transformers.DPTForDepthEstimation",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.DPTForDepthEstimation.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/vit#transformers.ViTConfig">ViTConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/dpt/modeling_dpt.py#L859"}}),et=new j({props:{name:"forward",anchor:"transformers.DPTForDepthEstimation.forward",parameters:[{name:"pixel_values",val:": FloatTensor"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.DPTForDepthEstimation.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/main/en/model_doc/vit#transformers.ViTImageProcessor">ViTFeatureExtractor</a>. See
<a href="/docs/transformers/main/en/model_doc/videomae#transformers.VideoMAEImageProcessor.__call__">ViTFeatureExtractor.<strong>call</strong>()</a> for details.`,name:"pixel_values"},{anchor:"transformers.DPTForDepthEstimation.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.DPTForDepthEstimation.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.DPTForDepthEstimation.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.DPTForDepthEstimation.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.DPTForDepthEstimation.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, height, width)</code>, <em>optional</em>) &#x2014;
Ground truth depth estimation maps for computing the loss.`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/dpt/modeling_dpt.py#L874",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.DepthEstimatorOutput"
>transformers.modeling_outputs.DepthEstimatorOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/dpt#transformers.DPTConfig"
>DPTConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</p>
</li>
<li>
<p><strong>predicted_depth</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, height, width)</code>) \u2014 Predicted depth for each pixel.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, num_channels, height, width)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, patch_size, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.DepthEstimatorOutput"
>transformers.modeling_outputs.DepthEstimatorOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),he=new Oa({props:{$$slots:{default:[Bs]},$$scope:{ctx:x}}}),fe=new Lo({props:{anchor:"transformers.DPTForDepthEstimation.forward.example",$$slots:{default:[Hs]},$$scope:{ctx:x}}}),tt=new xe({}),ot=new j({props:{name:"class transformers.DPTForSemanticSegmentation",anchor:"transformers.DPTForSemanticSegmentation",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.DPTForSemanticSegmentation.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/vit#transformers.ViTConfig">ViTConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/dpt/modeling_dpt.py#L1019"}}),st=new j({props:{name:"forward",anchor:"transformers.DPTForSemanticSegmentation.forward",parameters:[{name:"pixel_values",val:": typing.Optional[torch.FloatTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.DPTForSemanticSegmentation.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/main/en/model_doc/vit#transformers.ViTImageProcessor">ViTFeatureExtractor</a>. See
<a href="/docs/transformers/main/en/model_doc/videomae#transformers.VideoMAEImageProcessor.__call__">ViTFeatureExtractor.<strong>call</strong>()</a> for details.`,name:"pixel_values"},{anchor:"transformers.DPTForSemanticSegmentation.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.DPTForSemanticSegmentation.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.DPTForSemanticSegmentation.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.DPTForSemanticSegmentation.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.DPTForSemanticSegmentation.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, height, width)</code>, <em>optional</em>) &#x2014;
Ground truth semantic segmentation maps for computing the loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels &gt; 1</code>, a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/dpt/modeling_dpt.py#L1035",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.SemanticSegmenterOutput"
>transformers.modeling_outputs.SemanticSegmenterOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/dpt#transformers.DPTConfig"
>DPTConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, config.num_labels, logits_height, logits_width)</code>) \u2014 Classification scores for each pixel.</p>
<Tip warning={true}>
<p>The logits returned do not necessarily have the same size as the <code>pixel_values</code> passed as inputs. This is
to avoid doing two interpolations and lose some quality when a user needs to resize the logits to the
original image size as post-processing. You should always check your logits shape and resize as needed.</p>
</Tip>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, patch_size, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, patch_size, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.SemanticSegmenterOutput"
>transformers.modeling_outputs.SemanticSegmenterOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),ge=new Oa({props:{$$slots:{default:[Gs]},$$scope:{ctx:x}}}),_e=new Lo({props:{anchor:"transformers.DPTForSemanticSegmentation.forward.example",$$slots:{default:[Ks]},$$scope:{ctx:x}}}),{c(){c=r("meta"),v=m(),_=r("h1"),f=r("a"),T=r("span"),b(n.$$.fragment),u=m(),E=r("span"),Vo=i("DPT"),oo=m(),O=r("h2"),Q=r("a"),Et=r("span"),b(Ee.$$.fragment),Wo=m(),zt=r("span"),Uo=i("Overview"),ro=m(),N=r("p"),Bo=i("The DPT model was proposed in "),ze=r("a"),Ho=i("Vision Transformers for Dense Prediction"),Go=i(` by Ren\xE9 Ranftl, Alexey Bochkovskiy, Vladlen Koltun.
DPT is a model that leverages the `),lt=r("a"),Ko=i("Vision Transformer (ViT)"),Yo=i(" as backbone for dense prediction tasks like semantic segmentation and depth estimation."),ao=m(),dt=r("p"),Jo=i("The abstract from the paper is the following:"),so=m(),ct=r("p"),kt=r("em"),Xo=i("We introduce dense vision transformers, an architecture that leverages vision transformers in place of convolutional networks as a backbone for dense prediction tasks. We assemble tokens from various stages of the vision transformer into image-like representations at various resolutions and progressively combine them into full-resolution predictions using a convolutional decoder. The transformer backbone processes representations at a constant and relatively high resolution and has a global receptive field at every stage. These properties allow the dense vision transformer to provide finer-grained and more globally coherent predictions when compared to fully-convolutional networks. Our experiments show that this architecture yields substantial improvements on dense prediction tasks, especially when a large amount of training data is available. For monocular depth estimation, we observe an improvement of up to 28% in relative performance when compared to a state-of-the-art fully-convolutional network. When applied to semantic segmentation, dense vision transformers set a new state of the art on ADE20K with 49.02% mIoU. We further show that the architecture can be fine-tuned on smaller datasets such as NYUv2, KITTI, and Pascal Context where it also sets the new state of the art."),no=m(),Z=r("img"),io=m(),ee=r("small"),Qo=i("DPT architecture. Taken from the "),ke=r("a"),Zo=i("original paper"),er=i("."),lo=m(),L=r("p"),tr=i("This model was contributed by "),Ie=r("a"),or=i("nielsr"),rr=i(". The original code can be found "),Fe=r("a"),ar=i("here"),sr=i("."),co=m(),R=r("h2"),te=r("a"),It=r("span"),b(Se.$$.fragment),nr=m(),Ft=r("span"),ir=i("DPTConfig"),mo=m(),z=r("div"),b(je.$$.fragment),lr=m(),V=r("p"),dr=i("This is the configuration class to store the configuration of a "),mt=r("a"),cr=i("DPTModel"),mr=i(`. It is used to instantiate an DPT
model according to the specified arguments, defining the model architecture. Instantiating a configuration with the
defaults will yield a similar configuration to that of the DPT
`),Ce=r("a"),pr=i("Intel/dpt-large"),hr=i(" architecture."),fr=m(),W=r("p"),ur=i("Configuration objects inherit from "),pt=r("a"),gr=i("PretrainedConfig"),_r=i(` and can be used to control the model outputs. Read the
documentation from `),ht=r("a"),Tr=i("PretrainedConfig"),vr=i(" for more information."),br=m(),b(oe.$$.fragment),po=m(),U=r("h2"),re=r("a"),St=r("span"),b(Me.$$.fragment),Pr=m(),jt=r("span"),yr=i("DPTFeatureExtractor"),ho=m(),k=r("div"),b(qe.$$.fragment),Dr=m(),Ct=r("p"),wr=i("Constructs a DPT image processor."),$r=m(),ae=r("div"),b(Ae.$$.fragment),xr=m(),Mt=r("p"),Er=i("Preprocess an image or a batch of images."),zr=m(),se=r("div"),b(Ne.$$.fragment),kr=m(),Le=r("p"),Ir=i("Converts the output of "),ft=r("a"),Fr=i("DPTForSemanticSegmentation"),Sr=i(" into semantic segmentation maps. Only supports PyTorch."),fo=m(),B=r("h2"),ne=r("a"),qt=r("span"),b(Oe.$$.fragment),jr=m(),At=r("span"),Cr=i("DPTImageProcessor"),uo=m(),I=r("div"),b(Re.$$.fragment),Mr=m(),Nt=r("p"),qr=i("Constructs a DPT image processor."),Ar=m(),ie=r("div"),b(Ve.$$.fragment),Nr=m(),Lt=r("p"),Lr=i("Preprocess an image or batch of images."),Or=m(),le=r("div"),b(We.$$.fragment),Rr=m(),Ue=r("p"),Vr=i("Converts the output of "),ut=r("a"),Wr=i("DPTForSemanticSegmentation"),Ur=i(" into semantic segmentation maps. Only supports PyTorch."),go=m(),H=r("h2"),de=r("a"),Ot=r("span"),b(Be.$$.fragment),Br=m(),Rt=r("span"),Hr=i("DPTModel"),_o=m(),A=r("div"),b(He.$$.fragment),Gr=m(),Ge=r("p"),Kr=i(`The bare DPT Model transformer outputting raw hidden-states without any specific head on top.
This model is a PyTorch `),Ke=r("a"),Yr=i("torch.nn.Module"),Jr=i(` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),Xr=m(),C=r("div"),b(Ye.$$.fragment),Qr=m(),G=r("p"),Zr=i("The "),gt=r("a"),ea=i("DPTModel"),ta=i(" forward method, overrides the "),Vt=r("code"),oa=i("__call__"),ra=i(" special method."),aa=m(),b(ce.$$.fragment),sa=m(),b(me.$$.fragment),To=m(),K=r("h2"),pe=r("a"),Wt=r("span"),b(Je.$$.fragment),na=m(),Ut=r("span"),ia=i("DPTForDepthEstimation"),vo=m(),F=r("div"),b(Xe.$$.fragment),la=m(),Bt=r("p"),da=i("DPT Model with a depth estimation head on top (consisting of 3 convolutional layers) e.g. for KITTI, NYUv2."),ca=m(),Qe=r("p"),ma=i("This model is a PyTorch "),Ze=r("a"),pa=i("torch.nn.Module"),ha=i(` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),fa=m(),M=r("div"),b(et.$$.fragment),ua=m(),Y=r("p"),ga=i("The "),_t=r("a"),_a=i("DPTForDepthEstimation"),Ta=i(" forward method, overrides the "),Ht=r("code"),va=i("__call__"),ba=i(" special method."),Pa=m(),b(he.$$.fragment),ya=m(),b(fe.$$.fragment),bo=m(),J=r("h2"),ue=r("a"),Gt=r("span"),b(tt.$$.fragment),Da=m(),Kt=r("span"),wa=i("DPTForSemanticSegmentation"),Po=m(),S=r("div"),b(ot.$$.fragment),$a=m(),Yt=r("p"),xa=i("DPT Model with a semantic segmentation head on top e.g. for ADE20k, CityScapes."),Ea=m(),rt=r("p"),za=i("This model is a PyTorch "),at=r("a"),ka=i("torch.nn.Module"),Ia=i(` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),Fa=m(),q=r("div"),b(st.$$.fragment),Sa=m(),X=r("p"),ja=i("The "),Tt=r("a"),Ca=i("DPTForSemanticSegmentation"),Ma=i(" forward method, overrides the "),Jt=r("code"),qa=i("__call__"),Aa=i(" special method."),Na=m(),b(ge.$$.fragment),La=m(),b(_e.$$.fragment),this.h()},l(t){const h=Ls('[data-svelte="svelte-1phssyn"]',document.head);c=a(h,"META",{name:!0,content:!0}),h.forEach(o),v=p(t),_=a(t,"H1",{class:!0});var nt=s(_);f=a(nt,"A",{id:!0,class:!0,href:!0});var Xt=s(f);T=a(Xt,"SPAN",{});var Qt=s(T);P(n.$$.fragment,Qt),Qt.forEach(o),Xt.forEach(o),u=p(nt),E=a(nt,"SPAN",{});var Zt=s(E);Vo=l(Zt,"DPT"),Zt.forEach(o),nt.forEach(o),oo=p(t),O=a(t,"H2",{class:!0});var it=s(O);Q=a(it,"A",{id:!0,class:!0,href:!0});var eo=s(Q);Et=a(eo,"SPAN",{});var to=s(Et);P(Ee.$$.fragment,to),to.forEach(o),eo.forEach(o),Wo=p(it),zt=a(it,"SPAN",{});var Va=s(zt);Uo=l(Va,"Overview"),Va.forEach(o),it.forEach(o),ro=p(t),N=a(t,"P",{});var vt=s(N);Bo=l(vt,"The DPT model was proposed in "),ze=a(vt,"A",{href:!0,rel:!0});var Wa=s(ze);Ho=l(Wa,"Vision Transformers for Dense Prediction"),Wa.forEach(o),Go=l(vt,` by Ren\xE9 Ranftl, Alexey Bochkovskiy, Vladlen Koltun.
DPT is a model that leverages the `),lt=a(vt,"A",{href:!0});var Ua=s(lt);Ko=l(Ua,"Vision Transformer (ViT)"),Ua.forEach(o),Yo=l(vt," as backbone for dense prediction tasks like semantic segmentation and depth estimation."),vt.forEach(o),ao=p(t),dt=a(t,"P",{});var Ba=s(dt);Jo=l(Ba,"The abstract from the paper is the following:"),Ba.forEach(o),so=p(t),ct=a(t,"P",{});var Ha=s(ct);kt=a(Ha,"EM",{});var Ga=s(kt);Xo=l(Ga,"We introduce dense vision transformers, an architecture that leverages vision transformers in place of convolutional networks as a backbone for dense prediction tasks. We assemble tokens from various stages of the vision transformer into image-like representations at various resolutions and progressively combine them into full-resolution predictions using a convolutional decoder. The transformer backbone processes representations at a constant and relatively high resolution and has a global receptive field at every stage. These properties allow the dense vision transformer to provide finer-grained and more globally coherent predictions when compared to fully-convolutional networks. Our experiments show that this architecture yields substantial improvements on dense prediction tasks, especially when a large amount of training data is available. For monocular depth estimation, we observe an improvement of up to 28% in relative performance when compared to a state-of-the-art fully-convolutional network. When applied to semantic segmentation, dense vision transformers set a new state of the art on ADE20K with 49.02% mIoU. We further show that the architecture can be fine-tuned on smaller datasets such as NYUv2, KITTI, and Pascal Context where it also sets the new state of the art."),Ga.forEach(o),Ha.forEach(o),no=p(t),Z=a(t,"IMG",{src:!0,alt:!0,width:!0}),io=p(t),ee=a(t,"SMALL",{});var Do=s(ee);Qo=l(Do,"DPT architecture. Taken from the "),ke=a(Do,"A",{href:!0,target:!0});var Ka=s(ke);Zo=l(Ka,"original paper"),Ka.forEach(o),er=l(Do,"."),Do.forEach(o),lo=p(t),L=a(t,"P",{});var bt=s(L);tr=l(bt,"This model was contributed by "),Ie=a(bt,"A",{href:!0,rel:!0});var Ya=s(Ie);or=l(Ya,"nielsr"),Ya.forEach(o),rr=l(bt,". The original code can be found "),Fe=a(bt,"A",{href:!0,rel:!0});var Ja=s(Fe);ar=l(Ja,"here"),Ja.forEach(o),sr=l(bt,"."),bt.forEach(o),co=p(t),R=a(t,"H2",{class:!0});var wo=s(R);te=a(wo,"A",{id:!0,class:!0,href:!0});var Xa=s(te);It=a(Xa,"SPAN",{});var Qa=s(It);P(Se.$$.fragment,Qa),Qa.forEach(o),Xa.forEach(o),nr=p(wo),Ft=a(wo,"SPAN",{});var Za=s(Ft);ir=l(Za,"DPTConfig"),Za.forEach(o),wo.forEach(o),mo=p(t),z=a(t,"DIV",{class:!0});var Te=s(z);P(je.$$.fragment,Te),lr=p(Te),V=a(Te,"P",{});var Pt=s(V);dr=l(Pt,"This is the configuration class to store the configuration of a "),mt=a(Pt,"A",{href:!0});var es=s(mt);cr=l(es,"DPTModel"),es.forEach(o),mr=l(Pt,`. It is used to instantiate an DPT
model according to the specified arguments, defining the model architecture. Instantiating a configuration with the
defaults will yield a similar configuration to that of the DPT
`),Ce=a(Pt,"A",{href:!0,rel:!0});var ts=s(Ce);pr=l(ts,"Intel/dpt-large"),ts.forEach(o),hr=l(Pt," architecture."),Pt.forEach(o),fr=p(Te),W=a(Te,"P",{});var yt=s(W);ur=l(yt,"Configuration objects inherit from "),pt=a(yt,"A",{href:!0});var os=s(pt);gr=l(os,"PretrainedConfig"),os.forEach(o),_r=l(yt,` and can be used to control the model outputs. Read the
documentation from `),ht=a(yt,"A",{href:!0});var rs=s(ht);Tr=l(rs,"PretrainedConfig"),rs.forEach(o),vr=l(yt," for more information."),yt.forEach(o),br=p(Te),P(oe.$$.fragment,Te),Te.forEach(o),po=p(t),U=a(t,"H2",{class:!0});var $o=s(U);re=a($o,"A",{id:!0,class:!0,href:!0});var as=s(re);St=a(as,"SPAN",{});var ss=s(St);P(Me.$$.fragment,ss),ss.forEach(o),as.forEach(o),Pr=p($o),jt=a($o,"SPAN",{});var ns=s(jt);yr=l(ns,"DPTFeatureExtractor"),ns.forEach(o),$o.forEach(o),ho=p(t),k=a(t,"DIV",{class:!0});var ve=s(k);P(qe.$$.fragment,ve),Dr=p(ve),Ct=a(ve,"P",{});var is=s(Ct);wr=l(is,"Constructs a DPT image processor."),is.forEach(o),$r=p(ve),ae=a(ve,"DIV",{class:!0});var xo=s(ae);P(Ae.$$.fragment,xo),xr=p(xo),Mt=a(xo,"P",{});var ls=s(Mt);Er=l(ls,"Preprocess an image or a batch of images."),ls.forEach(o),xo.forEach(o),zr=p(ve),se=a(ve,"DIV",{class:!0});var Eo=s(se);P(Ne.$$.fragment,Eo),kr=p(Eo),Le=a(Eo,"P",{});var zo=s(Le);Ir=l(zo,"Converts the output of "),ft=a(zo,"A",{href:!0});var ds=s(ft);Fr=l(ds,"DPTForSemanticSegmentation"),ds.forEach(o),Sr=l(zo," into semantic segmentation maps. Only supports PyTorch."),zo.forEach(o),Eo.forEach(o),ve.forEach(o),fo=p(t),B=a(t,"H2",{class:!0});var ko=s(B);ne=a(ko,"A",{id:!0,class:!0,href:!0});var cs=s(ne);qt=a(cs,"SPAN",{});var ms=s(qt);P(Oe.$$.fragment,ms),ms.forEach(o),cs.forEach(o),jr=p(ko),At=a(ko,"SPAN",{});var ps=s(At);Cr=l(ps,"DPTImageProcessor"),ps.forEach(o),ko.forEach(o),uo=p(t),I=a(t,"DIV",{class:!0});var be=s(I);P(Re.$$.fragment,be),Mr=p(be),Nt=a(be,"P",{});var hs=s(Nt);qr=l(hs,"Constructs a DPT image processor."),hs.forEach(o),Ar=p(be),ie=a(be,"DIV",{class:!0});var Io=s(ie);P(Ve.$$.fragment,Io),Nr=p(Io),Lt=a(Io,"P",{});var fs=s(Lt);Lr=l(fs,"Preprocess an image or batch of images."),fs.forEach(o),Io.forEach(o),Or=p(be),le=a(be,"DIV",{class:!0});var Fo=s(le);P(We.$$.fragment,Fo),Rr=p(Fo),Ue=a(Fo,"P",{});var So=s(Ue);Vr=l(So,"Converts the output of "),ut=a(So,"A",{href:!0});var us=s(ut);Wr=l(us,"DPTForSemanticSegmentation"),us.forEach(o),Ur=l(So," into semantic segmentation maps. Only supports PyTorch."),So.forEach(o),Fo.forEach(o),be.forEach(o),go=p(t),H=a(t,"H2",{class:!0});var jo=s(H);de=a(jo,"A",{id:!0,class:!0,href:!0});var gs=s(de);Ot=a(gs,"SPAN",{});var _s=s(Ot);P(Be.$$.fragment,_s),_s.forEach(o),gs.forEach(o),Br=p(jo),Rt=a(jo,"SPAN",{});var Ts=s(Rt);Hr=l(Ts,"DPTModel"),Ts.forEach(o),jo.forEach(o),_o=p(t),A=a(t,"DIV",{class:!0});var Dt=s(A);P(He.$$.fragment,Dt),Gr=p(Dt),Ge=a(Dt,"P",{});var Co=s(Ge);Kr=l(Co,`The bare DPT Model transformer outputting raw hidden-states without any specific head on top.
This model is a PyTorch `),Ke=a(Co,"A",{href:!0,rel:!0});var vs=s(Ke);Yr=l(vs,"torch.nn.Module"),vs.forEach(o),Jr=l(Co,` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),Co.forEach(o),Xr=p(Dt),C=a(Dt,"DIV",{class:!0});var Pe=s(C);P(Ye.$$.fragment,Pe),Qr=p(Pe),G=a(Pe,"P",{});var wt=s(G);Zr=l(wt,"The "),gt=a(wt,"A",{href:!0});var bs=s(gt);ea=l(bs,"DPTModel"),bs.forEach(o),ta=l(wt," forward method, overrides the "),Vt=a(wt,"CODE",{});var Ps=s(Vt);oa=l(Ps,"__call__"),Ps.forEach(o),ra=l(wt," special method."),wt.forEach(o),aa=p(Pe),P(ce.$$.fragment,Pe),sa=p(Pe),P(me.$$.fragment,Pe),Pe.forEach(o),Dt.forEach(o),To=p(t),K=a(t,"H2",{class:!0});var Mo=s(K);pe=a(Mo,"A",{id:!0,class:!0,href:!0});var ys=s(pe);Wt=a(ys,"SPAN",{});var Ds=s(Wt);P(Je.$$.fragment,Ds),Ds.forEach(o),ys.forEach(o),na=p(Mo),Ut=a(Mo,"SPAN",{});var ws=s(Ut);ia=l(ws,"DPTForDepthEstimation"),ws.forEach(o),Mo.forEach(o),vo=p(t),F=a(t,"DIV",{class:!0});var ye=s(F);P(Xe.$$.fragment,ye),la=p(ye),Bt=a(ye,"P",{});var $s=s(Bt);da=l($s,"DPT Model with a depth estimation head on top (consisting of 3 convolutional layers) e.g. for KITTI, NYUv2."),$s.forEach(o),ca=p(ye),Qe=a(ye,"P",{});var qo=s(Qe);ma=l(qo,"This model is a PyTorch "),Ze=a(qo,"A",{href:!0,rel:!0});var xs=s(Ze);pa=l(xs,"torch.nn.Module"),xs.forEach(o),ha=l(qo,` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),qo.forEach(o),fa=p(ye),M=a(ye,"DIV",{class:!0});var De=s(M);P(et.$$.fragment,De),ua=p(De),Y=a(De,"P",{});var $t=s(Y);ga=l($t,"The "),_t=a($t,"A",{href:!0});var Es=s(_t);_a=l(Es,"DPTForDepthEstimation"),Es.forEach(o),Ta=l($t," forward method, overrides the "),Ht=a($t,"CODE",{});var zs=s(Ht);va=l(zs,"__call__"),zs.forEach(o),ba=l($t," special method."),$t.forEach(o),Pa=p(De),P(he.$$.fragment,De),ya=p(De),P(fe.$$.fragment,De),De.forEach(o),ye.forEach(o),bo=p(t),J=a(t,"H2",{class:!0});var Ao=s(J);ue=a(Ao,"A",{id:!0,class:!0,href:!0});var ks=s(ue);Gt=a(ks,"SPAN",{});var Is=s(Gt);P(tt.$$.fragment,Is),Is.forEach(o),ks.forEach(o),Da=p(Ao),Kt=a(Ao,"SPAN",{});var Fs=s(Kt);wa=l(Fs,"DPTForSemanticSegmentation"),Fs.forEach(o),Ao.forEach(o),Po=p(t),S=a(t,"DIV",{class:!0});var we=s(S);P(ot.$$.fragment,we),$a=p(we),Yt=a(we,"P",{});var Ss=s(Yt);xa=l(Ss,"DPT Model with a semantic segmentation head on top e.g. for ADE20k, CityScapes."),Ss.forEach(o),Ea=p(we),rt=a(we,"P",{});var No=s(rt);za=l(No,"This model is a PyTorch "),at=a(No,"A",{href:!0,rel:!0});var js=s(at);ka=l(js,"torch.nn.Module"),js.forEach(o),Ia=l(No,` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),No.forEach(o),Fa=p(we),q=a(we,"DIV",{class:!0});var $e=s(q);P(st.$$.fragment,$e),Sa=p($e),X=a($e,"P",{});var xt=s(X);ja=l(xt,"The "),Tt=a(xt,"A",{href:!0});var Cs=s(Tt);Ca=l(Cs,"DPTForSemanticSegmentation"),Cs.forEach(o),Ma=l(xt," forward method, overrides the "),Jt=a(xt,"CODE",{});var Ms=s(Jt);qa=l(Ms,"__call__"),Ms.forEach(o),Aa=l(xt," special method."),xt.forEach(o),Na=p($e),P(ge.$$.fragment,$e),La=p($e),P(_e.$$.fragment,$e),$e.forEach(o),we.forEach(o),this.h()},h(){d(c,"name","hf:doc:metadata"),d(c,"content",JSON.stringify(Js)),d(f,"id","dpt"),d(f,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(f,"href","#dpt"),d(_,"class","relative group"),d(Q,"id","overview"),d(Q,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Q,"href","#overview"),d(O,"class","relative group"),d(ze,"href","https://arxiv.org/abs/2103.13413"),d(ze,"rel","nofollow"),d(lt,"href","vit"),Os(Z.src,Ra="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/dpt_architecture.jpg")||d(Z,"src",Ra),d(Z,"alt","drawing"),d(Z,"width","600"),d(ke,"href","https://arxiv.org/abs/2103.13413"),d(ke,"target","_blank"),d(Ie,"href","https://huggingface.co/nielsr"),d(Ie,"rel","nofollow"),d(Fe,"href","https://github.com/isl-org/DPT"),d(Fe,"rel","nofollow"),d(te,"id","transformers.DPTConfig"),d(te,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(te,"href","#transformers.DPTConfig"),d(R,"class","relative group"),d(mt,"href","/docs/transformers/main/en/model_doc/dpt#transformers.DPTModel"),d(Ce,"href","https://huggingface.co/Intel/dpt-large"),d(Ce,"rel","nofollow"),d(pt,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),d(ht,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),d(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(re,"id","transformers.DPTImageProcessor"),d(re,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(re,"href","#transformers.DPTImageProcessor"),d(U,"class","relative group"),d(ae,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ft,"href","/docs/transformers/main/en/model_doc/dpt#transformers.DPTForSemanticSegmentation"),d(se,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(k,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ne,"id","transformers.DPTImageProcessor"),d(ne,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(ne,"href","#transformers.DPTImageProcessor"),d(B,"class","relative group"),d(ie,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ut,"href","/docs/transformers/main/en/model_doc/dpt#transformers.DPTForSemanticSegmentation"),d(le,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(de,"id","transformers.DPTModel"),d(de,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(de,"href","#transformers.DPTModel"),d(H,"class","relative group"),d(Ke,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),d(Ke,"rel","nofollow"),d(gt,"href","/docs/transformers/main/en/model_doc/dpt#transformers.DPTModel"),d(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(pe,"id","transformers.DPTForDepthEstimation"),d(pe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(pe,"href","#transformers.DPTForDepthEstimation"),d(K,"class","relative group"),d(Ze,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),d(Ze,"rel","nofollow"),d(_t,"href","/docs/transformers/main/en/model_doc/dpt#transformers.DPTForDepthEstimation"),d(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ue,"id","transformers.DPTForSemanticSegmentation"),d(ue,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(ue,"href","#transformers.DPTForSemanticSegmentation"),d(J,"class","relative group"),d(at,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),d(at,"rel","nofollow"),d(Tt,"href","/docs/transformers/main/en/model_doc/dpt#transformers.DPTForSemanticSegmentation"),d(q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(S,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,h){e(document.head,c),g(t,v,h),g(t,_,h),e(_,f),e(f,T),y(n,T,null),e(_,u),e(_,E),e(E,Vo),g(t,oo,h),g(t,O,h),e(O,Q),e(Q,Et),y(Ee,Et,null),e(O,Wo),e(O,zt),e(zt,Uo),g(t,ro,h),g(t,N,h),e(N,Bo),e(N,ze),e(ze,Ho),e(N,Go),e(N,lt),e(lt,Ko),e(N,Yo),g(t,ao,h),g(t,dt,h),e(dt,Jo),g(t,so,h),g(t,ct,h),e(ct,kt),e(kt,Xo),g(t,no,h),g(t,Z,h),g(t,io,h),g(t,ee,h),e(ee,Qo),e(ee,ke),e(ke,Zo),e(ee,er),g(t,lo,h),g(t,L,h),e(L,tr),e(L,Ie),e(Ie,or),e(L,rr),e(L,Fe),e(Fe,ar),e(L,sr),g(t,co,h),g(t,R,h),e(R,te),e(te,It),y(Se,It,null),e(R,nr),e(R,Ft),e(Ft,ir),g(t,mo,h),g(t,z,h),y(je,z,null),e(z,lr),e(z,V),e(V,dr),e(V,mt),e(mt,cr),e(V,mr),e(V,Ce),e(Ce,pr),e(V,hr),e(z,fr),e(z,W),e(W,ur),e(W,pt),e(pt,gr),e(W,_r),e(W,ht),e(ht,Tr),e(W,vr),e(z,br),y(oe,z,null),g(t,po,h),g(t,U,h),e(U,re),e(re,St),y(Me,St,null),e(U,Pr),e(U,jt),e(jt,yr),g(t,ho,h),g(t,k,h),y(qe,k,null),e(k,Dr),e(k,Ct),e(Ct,wr),e(k,$r),e(k,ae),y(Ae,ae,null),e(ae,xr),e(ae,Mt),e(Mt,Er),e(k,zr),e(k,se),y(Ne,se,null),e(se,kr),e(se,Le),e(Le,Ir),e(Le,ft),e(ft,Fr),e(Le,Sr),g(t,fo,h),g(t,B,h),e(B,ne),e(ne,qt),y(Oe,qt,null),e(B,jr),e(B,At),e(At,Cr),g(t,uo,h),g(t,I,h),y(Re,I,null),e(I,Mr),e(I,Nt),e(Nt,qr),e(I,Ar),e(I,ie),y(Ve,ie,null),e(ie,Nr),e(ie,Lt),e(Lt,Lr),e(I,Or),e(I,le),y(We,le,null),e(le,Rr),e(le,Ue),e(Ue,Vr),e(Ue,ut),e(ut,Wr),e(Ue,Ur),g(t,go,h),g(t,H,h),e(H,de),e(de,Ot),y(Be,Ot,null),e(H,Br),e(H,Rt),e(Rt,Hr),g(t,_o,h),g(t,A,h),y(He,A,null),e(A,Gr),e(A,Ge),e(Ge,Kr),e(Ge,Ke),e(Ke,Yr),e(Ge,Jr),e(A,Xr),e(A,C),y(Ye,C,null),e(C,Qr),e(C,G),e(G,Zr),e(G,gt),e(gt,ea),e(G,ta),e(G,Vt),e(Vt,oa),e(G,ra),e(C,aa),y(ce,C,null),e(C,sa),y(me,C,null),g(t,To,h),g(t,K,h),e(K,pe),e(pe,Wt),y(Je,Wt,null),e(K,na),e(K,Ut),e(Ut,ia),g(t,vo,h),g(t,F,h),y(Xe,F,null),e(F,la),e(F,Bt),e(Bt,da),e(F,ca),e(F,Qe),e(Qe,ma),e(Qe,Ze),e(Ze,pa),e(Qe,ha),e(F,fa),e(F,M),y(et,M,null),e(M,ua),e(M,Y),e(Y,ga),e(Y,_t),e(_t,_a),e(Y,Ta),e(Y,Ht),e(Ht,va),e(Y,ba),e(M,Pa),y(he,M,null),e(M,ya),y(fe,M,null),g(t,bo,h),g(t,J,h),e(J,ue),e(ue,Gt),y(tt,Gt,null),e(J,Da),e(J,Kt),e(Kt,wa),g(t,Po,h),g(t,S,h),y(ot,S,null),e(S,$a),e(S,Yt),e(Yt,xa),e(S,Ea),e(S,rt),e(rt,za),e(rt,at),e(at,ka),e(rt,Ia),e(S,Fa),e(S,q),y(st,q,null),e(q,Sa),e(q,X),e(X,ja),e(X,Tt),e(Tt,Ca),e(X,Ma),e(X,Jt),e(Jt,qa),e(X,Aa),e(q,Na),y(ge,q,null),e(q,La),y(_e,q,null),yo=!0},p(t,[h]){const nt={};h&2&&(nt.$$scope={dirty:h,ctx:t}),oe.$set(nt);const Xt={};h&2&&(Xt.$$scope={dirty:h,ctx:t}),ce.$set(Xt);const Qt={};h&2&&(Qt.$$scope={dirty:h,ctx:t}),me.$set(Qt);const Zt={};h&2&&(Zt.$$scope={dirty:h,ctx:t}),he.$set(Zt);const it={};h&2&&(it.$$scope={dirty:h,ctx:t}),fe.$set(it);const eo={};h&2&&(eo.$$scope={dirty:h,ctx:t}),ge.$set(eo);const to={};h&2&&(to.$$scope={dirty:h,ctx:t}),_e.$set(to)},i(t){yo||(D(n.$$.fragment,t),D(Ee.$$.fragment,t),D(Se.$$.fragment,t),D(je.$$.fragment,t),D(oe.$$.fragment,t),D(Me.$$.fragment,t),D(qe.$$.fragment,t),D(Ae.$$.fragment,t),D(Ne.$$.fragment,t),D(Oe.$$.fragment,t),D(Re.$$.fragment,t),D(Ve.$$.fragment,t),D(We.$$.fragment,t),D(Be.$$.fragment,t),D(He.$$.fragment,t),D(Ye.$$.fragment,t),D(ce.$$.fragment,t),D(me.$$.fragment,t),D(Je.$$.fragment,t),D(Xe.$$.fragment,t),D(et.$$.fragment,t),D(he.$$.fragment,t),D(fe.$$.fragment,t),D(tt.$$.fragment,t),D(ot.$$.fragment,t),D(st.$$.fragment,t),D(ge.$$.fragment,t),D(_e.$$.fragment,t),yo=!0)},o(t){w(n.$$.fragment,t),w(Ee.$$.fragment,t),w(Se.$$.fragment,t),w(je.$$.fragment,t),w(oe.$$.fragment,t),w(Me.$$.fragment,t),w(qe.$$.fragment,t),w(Ae.$$.fragment,t),w(Ne.$$.fragment,t),w(Oe.$$.fragment,t),w(Re.$$.fragment,t),w(Ve.$$.fragment,t),w(We.$$.fragment,t),w(Be.$$.fragment,t),w(He.$$.fragment,t),w(Ye.$$.fragment,t),w(ce.$$.fragment,t),w(me.$$.fragment,t),w(Je.$$.fragment,t),w(Xe.$$.fragment,t),w(et.$$.fragment,t),w(he.$$.fragment,t),w(fe.$$.fragment,t),w(tt.$$.fragment,t),w(ot.$$.fragment,t),w(st.$$.fragment,t),w(ge.$$.fragment,t),w(_e.$$.fragment,t),yo=!1},d(t){o(c),t&&o(v),t&&o(_),$(n),t&&o(oo),t&&o(O),$(Ee),t&&o(ro),t&&o(N),t&&o(ao),t&&o(dt),t&&o(so),t&&o(ct),t&&o(no),t&&o(Z),t&&o(io),t&&o(ee),t&&o(lo),t&&o(L),t&&o(co),t&&o(R),$(Se),t&&o(mo),t&&o(z),$(je),$(oe),t&&o(po),t&&o(U),$(Me),t&&o(ho),t&&o(k),$(qe),$(Ae),$(Ne),t&&o(fo),t&&o(B),$(Oe),t&&o(uo),t&&o(I),$(Re),$(Ve),$(We),t&&o(go),t&&o(H),$(Be),t&&o(_o),t&&o(A),$(He),$(Ye),$(ce),$(me),t&&o(To),t&&o(K),$(Je),t&&o(vo),t&&o(F),$(Xe),$(et),$(he),$(fe),t&&o(bo),t&&o(J),$(tt),t&&o(Po),t&&o(S),$(ot),$(st),$(ge),$(_e)}}}const Js={local:"dpt",sections:[{local:"overview",title:"Overview"},{local:"transformers.DPTConfig",title:"DPTConfig"},{local:"transformers.DPTImageProcessor",title:"DPTFeatureExtractor"},{local:"transformers.DPTImageProcessor",title:"DPTImageProcessor"},{local:"transformers.DPTModel",title:"DPTModel"},{local:"transformers.DPTForDepthEstimation",title:"DPTForDepthEstimation"},{local:"transformers.DPTForSemanticSegmentation",title:"DPTForSemanticSegmentation"}],title:"DPT"};function Xs(x){return Rs(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class an extends qs{constructor(c){super();As(this,c,Xs,Ys,Ns,{})}}export{an as default,Js as metadata};
